## `value::emplace_object`

Replace with an empty `object`.

### Synopsis

    object&
    emplace_object() noexcept;

### Description

The value is replaced with an empty `array` using the current memory resource, destroying the previous contents. All previously obtained iterators and references obtained beforehand are invalidated.

### Complexity

Linear in the size of `*this`.

### Exception Safety

No-throw guarantee.

### Return Value

`this->get_object()`.

Edit this page